Skip to contentSkip to navigationSkip to topbar

Get Profile


(information)

Legal information

Conversation Memory, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the Predictive and Generative AI/ML Features Addendum(link takes you to an external page). For more details on AI usage and data, see the AI Nutrition Facts.

Conversation Memory is not a HIPAA Eligible Service or PCI compliant and should not be enabled in workflows that are subject to HIPAA or PCI.

Conversation Memory is not intended for use with sensitive information about individuals. Twilio does not control what information comes from conversation channels and relies on you to ensure the data in customer profiles aligns with our acceptable use policy. Twilio does have limited guardrails in the form of a prompt exclusion that is designed to provide a minimal screening against inclusion of GDPR special category data(link takes you to an external page). As a reminder our profile technology uses generative artificial intelligence. Because generative artificial intelligence can make mistakes, review all outputs to ensure that the profile is correct.

Conversations products are only available in the new Twilio Console(link takes you to an external page). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

GET/v1/Stores/{storeId}/Profiles/{profileId}

Base url: https://memory.twilio.com (base url)

Retrieve profile traits by profile ID. Use the traitGroups query parameter to restrict results to a comma-separated allow list of trait group names. For large sets of traits, prefer using the dedicated /Traits endpoint for pagination.


Request

fetch-profile-request page anchor

Authentication

authentication page anchor
Property nameTypeRequiredPIIDescription
storeIdstring
required
Not PII

A unique Memory Store ID using Twilio Type ID (TTID) format

Example: mem_store_00000000000000000000000000Pattern: ^mem_(store|service)_[0-7][0-9a-z]{25}$

profileIdstring
required

The unique identifier for the profile using Twilio Type ID (TTID) format.

Example: mem_profile_00000000000000000000000000Pattern: ^mem_profile_[0-7][0-9a-z]{25}$
Property nameTypeRequiredPIIDescription
traitGroupsstring

Optional

Comma separated list of trait group names to include.

Example: ContactMin length: 1Max length: 256

200301400401403404429500503

A profile.

Schema
Property nameTypeRequiredPIIDescriptionChild properties
idstring

Optional

The canonical profile ID.

Example: mem_profile_00000000000000000000000000Pattern: ^mem_profile_[0-7][0-9a-z]{25}$

createdAtstring<date-time>

Optional

The time the profile was created.

Example: 2025-01-01T12:00:00Z

traitsobject

Optional

Multiple trait groups.

Example: {"Contact":{"email":"Alyssa.Mock@example.com","phone":"+13175551234","lastName":"Mock","firstName":"Alyssa","street":"123 Main St","city":"San Francisco","state":"CA","postalCode":"94107","country":"US"}}Max properties: 50
Get ProfileLink to code sample: Get Profile
1
// Download the helper library from https://www.twilio.com/docs/node/install
2
const twilio = require("twilio"); // Or, for ESM: import twilio from "twilio";
3
4
// Find your Account SID and Auth Token at twilio.com/console
5
// and set the environment variables. See http://twil.io/secure
6
const accountSid = process.env.TWILIO_ACCOUNT_SID;
7
const authToken = process.env.TWILIO_AUTH_TOKEN;
8
const client = twilio(accountSid, authToken);
9
10
async function fetchProfile() {
11
const profile = await client.memory.v1
12
.profiles(
13
"mem_store_00000000000000000000000000",
14
"mem_profile_00000000000000000000000000"
15
)
16
.fetch();
17
18
console.log(profile.id);
19
}
20
21
fetchProfile();

Response

Note about this response
1
{
2
"createdAt": "2009-07-06T20:30:00Z",
3
"id": "mem_profile_00000000000000000000000000",
4
"traits": {}
5
}